classification
Title: test_asyncio leaked [2, 2, 2] references, sum=6 in AMD64 Windows8.1 Refleaks 3.7
Type: behavior Stage: resolved
Components: asyncio, Tests, Windows Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, brett.cannon, pablogsal, paul.moore, steve.dower, tim.golden, vstinner, yselivanov, zach.ware
Priority: normal Keywords:

Created on 2018-08-27 16:22 by pablogsal, last changed 2019-06-14 10:26 by vstinner. This issue is now closed.

Messages (4)
msg324187 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-08-27 16:22
test_asyncio is potentially leaking resources in AMD64 Windows8.1 Refleaks 3.7:

https://buildbot.python.org/all/#/builders/132/builds/241

----------------------------------------------------------------------
Ran 1782 tests in 115.342s
OK (skipped=78)
.
test_asyncio leaked [2, 2, 2] references, sum=6
test_asyncio leaked [2, 3, 2] memory blocks, sum=7
3 tests failed again:
    test_asyncio test_smtplib test_trace
== Tests result: FAILURE then FAILURE ==
383 tests OK.
msg324287 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2018-08-28 21:04
If it isn't leaking in 3.8 then it's possibly not disposing of the event loop (I added a check for that in https://github.com/python/cpython/commit/8425de4147eb8d83befbb8ea77516fc764bb4309#diff-226dcee10b9d2f379e54d4415489236f ).
msg324288 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-08-28 21:05
See also bpo-32710.
msg345572 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-14 10:26
Sadly, without much information, it's hard to guess what leaked nor if the issue has been fixed in the meanwhile. So I close the issue as outdated.

I just found a leak in test_asyncio ProactorLoopCtrlC and I proposed a fix: https://bugs.python.org/issue37278
History
Date User Action Args
2019-06-14 10:26:17vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg345572

stage: resolved
2018-08-28 21:05:30vstinnersetnosy: + vstinner
messages: + msg324288
2018-08-28 21:04:27brett.cannonsetnosy: + brett.cannon
messages: + msg324287
2018-08-27 16:22:26pablogsalcreate